> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.rushorder.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.rushorder.com/_mcp/server.

# List inbound PO documents

GET https://dream.rushorder.com/api/inbound/documents

Returns the supporting documents attached to the PO, oldest first.

Reference: https://docs.rushorder.com/api-reference/inbound/list-documents

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Query parameters

- `poRef` (string, required) — The PO reference number.
- `lading` (string, optional) — The bill of lading. If the PO was submitted with a bill of lading, include it here, or the PO will not be found.

### Headers

- `RushOrderMomCode` (string, required) — All requests require the header to contain RushOrderMomCode, a 3 character string that represents the client internally in Rush Order. This should be given to you by Rush Order.

## Response

### 200

Success

- `Success` (boolean, optional)
- `Error` (string, optional, nullable) — Why the request failed. Null on success.
- `Message` (string, optional, nullable) — Same as `Error`.
- `Documents` (list of InboundPoDocument, optional)

## Errors

### 400 Bad Request Error

`poRef` is missing.

- `Success` (boolean, optional)
- `Error` (string, optional, nullable) — Why the request failed. Null on success.
- `Message` (string, optional, nullable) — Same as `Error`.
- `Documents` (list of InboundPoDocument, optional)

### 404 Not Found Error

No active inbound PO matches.

- `Success` (boolean, optional)
- `Error` (string, optional, nullable) — Why the request failed. Null on success.
- `Message` (string, optional, nullable) — Same as `Error`.
- `Documents` (list of InboundPoDocument, optional)

## Types

### InboundPoDocument

- `DocumentId` (integer, optional)
- `PoRef` (string, optional)
- `Lading` (string, optional, nullable)
- `FileName` (string, optional)
- `FileSize` (long, optional) — Size in bytes.
- `CreatedBy` (string, optional)
- `CreatedAt` (datetime, optional)
- `UpdatedBy` (string, optional, nullable)
- `UpdatedAt` (datetime, optional, nullable)

## Examples

**Response**

```json
{
  "Success": true,
  "Error": "string",
  "Message": "string",
  "Documents": [
    {
      "DocumentId": 311,
      "PoRef": "MYPO7656",
      "Lading": "string",
      "FileName": "packing-list.pdf",
      "FileSize": 1,
      "CreatedBy": "string",
      "CreatedAt": "2024-01-15T09:30:00Z",
      "UpdatedBy": "string",
      "UpdatedAt": "2024-01-15T09:30:00Z"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://dream.rushorder.com/api/inbound/documents"

querystring = {"poRef":"MYPO7656"}

headers = {
    "RushOrderMomCode": "ABC"
}

response = requests.get(url, headers=headers, params=querystring, auth=("<username>", "<password>"))

print(response.json())
```

```javascript
const url = 'https://dream.rushorder.com/api/inbound/documents?poRef=MYPO7656';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'GET',
  headers: {RushOrderMomCode: 'ABC', Authorization: `Basic ${credentials}`}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://dream.rushorder.com/api/inbound/documents?poRef=MYPO7656"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("RushOrderMomCode", "ABC")
	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://dream.rushorder.com/api/inbound/documents?poRef=MYPO7656")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["RushOrderMomCode"] = 'ABC'
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://dream.rushorder.com/api/inbound/documents?poRef=MYPO7656")
  .header("RushOrderMomCode", "ABC")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://dream.rushorder.com/api/inbound/documents?poRef=MYPO7656', [
  'headers' => [
    'RushOrderMomCode' => 'ABC',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://dream.rushorder.com/api/inbound/documents?poRef=MYPO7656");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.GET);
request.AddHeader("RushOrderMomCode", "ABC");

IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "RushOrderMomCode": "ABC",
  "Authorization": "Basic \(credentials)"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://dream.rushorder.com/api/inbound/documents?poRef=MYPO7656")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```